# gatsby-source-wordpress-graphql

Source plugin for pulling posts and media items from Wordpress via Graphql.

An example site for using this plugin hosted here:
https://magloft.github.io/gatsby-source-wordpress-graphql/

## Installation

```shell
npm install gatsby-source-wordpress-graphql
# OR
yarn add gatsby-source-wordpress-graphql
```

## How to use

Configure Plugin Options:
```js
{
  resolve: 'gatsby-source-wordpress-graphql',
  options: {
    host: 'https://www.domain.com/graphql', // Your Wordpress GraphQL Endpoint
    authorization: 'Basic ...',             // HTTP Authorization Header
    cacheAdapter: 'gatsby'                  // Cache Adapter, either `gatsby` or `persist`
  }
}
```
